Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::color_node Class Reference

Inheritance diagram for openvrml::vrml97_node::color_node:

[legend]
List of all members.

## Detailed Description

Color node instances.

## Public Member Functions

| color_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~color_node () throw ()
| Destroy.
virtual const std::vector< openvrml::color > & | color () const throw ()
| Get the color array.

## Private Attributes

exposedfield< mfcolor > | color_
| color exposedField.

## Friends

class | color_class
| Class object for Color nodes.

## Constructor & Destructor Documentation

openvrml::vrml97_node::color_node::color_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with this node.
  | scope | the scope to which the node belongs.

Reimplemented from openvrml::color_node.

openvrml::vrml97_node::color_node::~color_node | ( |  | ) | throw ()`[virtual]`

| Destroy. Implements openvrml::color_node.

## Member Function Documentation

const std::vector< color > & openvrml::vrml97_node::color_node::color | ( |  | ) | const throw ()`[virtual]`

Get the color array.

Returns:
  the color array associated with the node.

Implements openvrml::color_node.

## Friends And Related Function Documentation

openvrml::vrml97_node::color_node::color_class`[friend]`

| Class object for Color nodes.

## Member Data Documentation

exposedfield< mfcolor > openvrml::vrml97_node::color_node::color_ `[private]`

| color exposedField.